unit Util;

interface

uses
    Windows, Messages, Forms, Graphics, Classes, SysUtils;

const
    CUR_SEEKER = 1;
    CURSEEK = 'CUR_SEEK';

procedure FlashDesktopCanvas(const Target: HWND; const Interval: integer);

implementation

{$R Extra.res}

//  ---------------------------------------------------------------------------
//  w肵nhEBhẺ`悷
procedure FlashDesktopCanvas(const Target: HWND; const Interval: integer);
var
    DesktopDC: HDC;
    RT: TRect;
    WI: TWindowInfo;
    DesktopCanvas: TCanvas;
begin
    //  fXNgbṽfoCXReLXg擾
    DesktopDC := GetDC(0);
    if (DesktopDC <> INVALID_HANDLE_VALUE) then
    begin
        DesktopCanvas := TCanvas.Create;
        try
            //  O
            DesktopCanvas.Handle := DesktopDC;
            DesktopCanvas.Pen.Width := 3;
            DesktopCanvas.Pen.Mode := pmNotXor;
            //  EBhE擾
            if GetWindowInfo(Target, WI) then
            begin
                //  NCAg̈擾
                RT := WI.rcWindow;
                //  fXNgbvɋ``(XOR)
                DesktopCanvas.Rectangle(RT);
                //  ΂҂
                Sleep(Interval);
                //  fXNgbvɋ``(XOR)
                DesktopCanvas.Rectangle(RT);
            end;
        finally
            //  fXNgbṽfoCXReLXgj
            DesktopCanvas.Free;
            ReleaseDC(0, DesktopDC);
        end;
    end;
end;

//  ---------------------------------------------------------------------------
//  
//  http://www.borland.co.jp/tips/delphi/dh008/
//  http://forum.nifty.com/fdelphi/faq/00289.htm
initialization
    //  J[\Ǎ
    Screen.Cursors[CUR_SEEKER] := LoadCursor(HInstance, CURSEEK);
finalization
    ;
end.
